g = int(input())
a = int(input())
i = int(input())
b = int(input())
c = int(input())
n = (i+b + c)
for i in range(g):
    if (a > n):
        print(a)
    elif (a == n):
        print((a or n))
    elif (a < n):
        print(n)
